org.apache.hc.client5.http.impl

## Class ProtocolSwitchStrategy

- java.lang.Object
- - org.apache.hc.client5.http.impl.ProtocolSwitchStrategy

    @Internal
    public final class ProtocolSwitchStrategy
    extends Object

Protocol switch handler.

Since:
  5.4

### Constructor Summary

Constructors
Constructor and Description
`ProtocolSwitchStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProtocolVersion` `switchProtocol(HttpMessage response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtocolSwitchStrategy

    public ProtocolSwitchStrategy()

### Method Detail

#### switchProtocol

    public ProtocolVersion switchProtocol(HttpMessage response)
                                   throws ProtocolException

Throws:
  `ProtocolException`